<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\DatamodulHelper\Kurse;

class FirmenMitarbeiterKurse extends TeilnehmerKurse
{
  
  protected function getKursnummern($dbwKurse)
  {
    static $alleKnrs = null;
    if (is_null($alleKnrs)) {
      $belegungsIds = $this->getBelegungsIds();
      $dbwBelegung = new \DBWorkBelegung();
      $alleKnrs = $dbwBelegung->getKursNrFromBelegungNrAryAndKursFilter($belegungsIds, $dbwKurse);
    }

    return $alleKnrs;
  }

  private function getBelegungsIds()
  {
    $belegungshelper = new \Kufer\Web\KuferTools\Utils\DatamodulHelper\Belegungen\FirmaBelegungen($this->toolSettings, $this->user->getTnrIdentifier());

    return $belegungshelper->getIdsOhneFilter();
  }
}